using System;
using System.Collections.Generic;
using System.Text;

namespace ConsoleApplicationTestCommoMedian
{
    class Program
    {
        static void Main(string[] args)
        {
            int n;
            Console.WriteLine("Enter number of grades: ");
            n = int.Parse(Console.ReadLine());
		    int[] vec = new int[n];
		
		    InitArray(vec);
		    Console.WriteLine("The common grade is: " + Common(vec));
            Console.WriteLine("The median grade is: " + Median(vec));
            Console.ReadLine();
        }
        public static void InitArray(int[] arr)
        {
            Random rnd = new Random();
            for (int i = 0; i < arr.Length; i++)
                
                arr[i] = rnd.Next(102);
        }
        public static int Common(int[] arr)
        {
            int[] counterArray = new int[101];

            for (int i = 0; i < counterArray.Length; i++)
                counterArray[i] = 0;

            for (int i = 0; i < arr.Length; i++)
                counterArray[arr[i]]++;

            int commonNum = 0;
            for (int i = 1; i < counterArray.Length; i++)
            {
                if (counterArray[i] > counterArray[commonNum])
                    commonNum = i;
            }

            return commonNum;
        }
        public static int Median(int[] arr)
        {
            Sort(arr);

            return arr[arr.Length / 2];
        }

        //   -     
        public static void Sort(int[] arr)
        {
            for (int i = 1; i <= arr.Length - 1; i++)
            {
                for (int j = 0; j < arr.Length - i; j++)
                {
                    if (arr[j] > arr[j + 1])
                    {
                        int temp = arr[j];
                        arr[j] = arr[j + 1];
                        arr[j + 1] = temp;
                    }
                }
            }
        }
    }
}
